/**
 * 页面登陆
 */
var showModal = function(msg, time) {
    var msg = msg || '出错了';
    var time = time || 3000;
    $(".modal-body").html(msg);
    $(".modal").modal();
    clearTimeout(modalTimer);
    var modalTimer = setTimeout(function() {
        $(".modal").modal('hide');
    }, time);

};

jQuery(function($) {


    $(".login-btn").on('click', function() {
        if ($.trim($("input[name='LoginForm[username]']").val()) == '') {
            showModal('请输入用户名');
            return false;
        }
        else if ($.trim($("input[name='LoginForm[password]']").val()) == '') {
            showModal('请输入密码');
            return false;
        }
        if ($(this).html() == '登  录') 
            $(this).html('登录中...');
        else 
            return false;
        var loginUrl = $(this).data('loginUrl');
        $.post(loginUrl, $("#login-form").serialize(), function(json) {
            if (json.status == 0) {
                showModal(json.info);
            }
            else {
                window.location.href = json.url;
            }
            $(".login-btn").html('登  录');
        });
    });

});
